<template>
  <div class="stats">
    <h1>A different component</h1>
    <p>There are currently {{ countLinks }} links</p>
    <button class="rm" @click="removeAllLinks">Remove all links</button>
    <p>{{message}}</p>
  </div>
</template>

<script>
  import {mapGetters, mapMutations, mapActions} from 'vuex'
  export default {
    name: 'Stats',
    data() {
      return {
        message: '',
      }
    },
    computed: {
      ...mapGetters([
        'countLinks'
      ]),
    },
    methods: {
      ...mapMutations([
        'REMOVE_ALL'
      ]),
      ...mapActions([
        'RemoveAll'
      ]),
      removeAllLinks() {
        this.RemoveAll().then(()=> {
          this.message = "Links deleted"
        })
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.rm {
    padding: 10px;
    margin-top: 30px;
    width: 100%;
    background: none;
    border: 1px solid lightgray;
    outline: 0;
    cursor: pointer;
  }
</style>
